Skip to main content
GET
/
v1
/
collections
/
{collection_identifier}
/
features
Describe collection features
curl --request GET \
  --url https://api.mixpeek.com/v1/collections/{collection_identifier}/features \
  --header 'Authorization: Bearer <token>'
{
  "features": [
    {
      "feature_address": "<string>",
      "feature_extractor_name": "<string>",
      "version": "<string>",
      "vector_index": {
        "description": "<string>",
        "name": "intfloat__multilingual_e5_large_instruct",
        "dimensions": 1024,
        "distance": "cosine",
        "datatype": "float32",
        "on_disk": true,
        "supported_inputs": [
          "text",
          "string"
        ],
        "inference_name": "multilingual_e5_large_instruct_v1",
        "inference_service_id": "intfloat/e5-large",
        "purpose": "text",
        "vector_name_override": "title_embedding",
        "supports_multi_query": false
      },
      "primary": false
    }
  ]
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

collection_identifier
string
required

The ID or name of the collection to describe

Response

Successful Response

features
CollectionFeatureDescriptor · object[]
required

Feature extractors and fields enabled on this collection